Subject: I-D ACTION:draft-ietf-idr-bgp-identifier-02.txt

From: [email-masked]
Date: Mon, 07 Apr 2003 07:09:47 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing Working Group of the IETF.

	Title		: AS-wide Unique BGP Identifier for BGP-4
	Author(s)	: E. Chen, J. Yuan
	Filename	: draft-ietf-idr-bgp-identifier-02.txt
	Pages		: 4
	Date		: 2003-4-4
	
To accommodate situations where the current requirements for the BGP
Identifier are not met, this document relaxes the definition of the
BGP Identifier to be a 4-octet unsigned, non-zero integer, and
relaxes the 'uniqueness' requirement so that only AS-wide uniqueness
of the BGP Identifiers is required. These revisions to the base BGP
specification do not introduce any backward compatibility issue.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-idr-bgp-identifier-02.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-idr-bgp-identifier-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-idr-bgp-identifier-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Manav Bhatia <[email-masked]>
Date: Mon, 07 Apr 2003 19:08:58 +0530

Hi,
1> Section 4.2. Open Message Error  Handling states that
'If the BGP Identifier field of the OPEN message is zero, or if
 it is the same as the BGP Identifier of the local BGP speaker
 and the message is from an internal peer, then the Error Subcode
 is set to "Bad BGP Identifier"'

- why is this restriction placed only for the internal peers. What if i
receive an OPEN message from an external peer with the same BGP ID as mine?

2> Typo in section 5.
AGGREAGTOR needs to be replaced with AGGREGATOR

3> A paragraph in section 5 states
"In the route selection, where the BGP Identifier is not used
in comparing a route from an internal neighbor and a route from
an external neighbor. In addition, routes from BGP speakers with
identical BGP Identifiers have been dealt with (e.g., parallel
BGP sessions between two BGP speakers)"

Can it be re-phrased. I got lost! :-)

Regards,
Manav